Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.structure
Class XPackage

    java.lang.Object
      |
      +--xcodegen.structure.XObject
            |
            +--xcodegen.structure.XPackage

public class XPackage
extends XObject

Package descriptor

Version:
  $Revision: 1.5 $
Author:
  Herve Tchepannou

Field Summary
`static java.util.Map` | `all` All the packages indexed by their full name

Constructor Summary
`XPackage()`

Method Summary
`XClass` | `getClass(java.lang.String name)` Get a class by its name
`java.util.Collection` | `getClasses()`
`boolean` | `init(org.w3c.dom.Element elt, XObject parent, java.util.Collection errors)` Initialize the object from a XML DOM Element

Methods inherited from class xcodegen.structure.XObject
`add, addError, getBeanName, getChild, getChild, getChildren, getChildren, getDescription, getLogger, getLongName, getName, getParent, getXMLChild, getXMLChildText, getXMLChildText, getXMLText, hasChild, initChildren, trimXMLText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### all

    public static java.util.Map all

  All the packages indexed by their full name

Constructor Detail

### XPackage

    public XPackage()

Method Detail

### getClass

    public XClass getClass(java.lang.String name)

  Get a class by its name

  Parameters:
    `name` - name of the class requested
  Returns:
    class requested

### init

    public boolean init(org.w3c.dom.Element elt,
                        XObject parent,
                        java.util.Collection errors)
                 throws java.lang.Exception

  Description copied from class: `XObject`
  Initialize the object from a XML DOM Element

  Overrides:
    `init` in class `XObject`
  Parameters:
    `elt` - DOM element containing the configuration
    `parent` - Parent object
    `errors` - list of all the errors
  Returns:
    true on success
    `java.lang.Exception`

### getClasses

    public java.util.Collection getClasses()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD